Subject: [PATCH 2/2] ARM: dts: dra7: remove ti,hwmod property from pcie phy

From: [email-masked] ([email-masked])
Date: Wed, 18 Mar 2015 21:36:29 +0200

On 03/18/2015 06:57 PM, Tony Lindgren wrote:
> * Grygorii Strashko <[email-masked]> [150318 09:37]:
>> As I can see Patch 1 from this series was merged in 4.0-rc4,
>> but this patch wasn't. As result, I can see below warning all the time during boot now:
>>
>> [    0.594591] platform 4a094000.pciephy: Cannot lookup hwmod 'pcie1-phy'
>   
> OK. Is this needed as a fix for the v4.0-rc series, or can this wait
> for v4.1?

I think, Yes. These two patches should go all together, because they are
interrelated.

>> On 02/20/2015 10:51 AM, Kishon Vijay Abraham I wrote:
>>> Now that we don't have hwmod entry for pcie PHY remove the
>>> ti,hwmod property from PCIE PHY's
>>>
>>> Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
>>> ---
>>>    arch/arm/boot/dts/dra7.dtsi |    2 --
>>>    1 file changed, 2 deletions(-)
>>>
>>> diff --git a/arch/arm/boot/dts/dra7.dtsi b/arch/arm/boot/dts/dra7.dtsi
>>> index 5827fed..18a904d 100644
>>> --- a/arch/arm/boot/dts/dra7.dtsi
>>> +++ b/arch/arm/boot/dts/dra7.dtsi
>>> @@ -1111,7 +1111,6 @@
>>>    					      "wkupclk", "refclk",
>>>    					      "div-clk", "phy-div";
>>>    				#phy-cells = <0>;
>>> -				ti,hwmods = "pcie1-phy";
>>>    			};
>>>    
>>>    			pcie2_phy: pciephy at 4a095000 {
>>> @@ -1130,7 +1129,6 @@
>>>    					      "wkupclk", "refclk",
>>>    					      "div-clk", "phy-div";
>>>    				#phy-cells = <0>;
>>> -				ti,hwmods = "pcie2-phy";
>>>    				status = "disabled";
>>>    			};
>>>    		};
>>>
>>

-- 
regards,
-grygorii